Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: intellij-deps-jdom
Upstream-Contact: Nikolay.Chashnikov@jetbrains.com
Source: https://github.com/JetBrains/intellij-deps-jdom
Files-Excluded:
 core/samples/catalog.*
 gradle/wrapper/*
 lib/*
 contrib/lib/*

Files: *
Copyright: 2000—2004, Brett McLaughlin
           2000—2011, Jason Hunter <jhunter@servlets.com>
           2011—2017, Rolf Lear <rolf@tuis.net>
           2018, Nikolay Chashnikov <Nikolay.Chashnikov@jetbrains.com>
License: BSD-4
Comment:
 Subject: Re: License clarification on jdom source files
 From: Rolf <jdom@tuis.net>
 Date: 01/12/2014 12:33 PM
 To: Emmanuel Bourg <ebourg@apache.org>, Jason Hunter <jhunter@servlets.com>
 .
 Hi Emmanuel,
 .
 All source code in JDOM is licensed and copyrighted the same way. This
 license is available in the root folder of all distributions, as well
 as on the JDOM site, and in the root of the source code.
 .
 For convenience, it is also inserted in (apparently not all) the
 source files.
 .
 I have inspected these files and can assure you that:
 .
 1. those files were all personally written by me with the exception of
    contrib/src/java/org/jdom2/contrib/ids/doc-files/TestIds.java
 .
 2. the license for those files (including TestIds.java) is the same
 as all other files in JDOM, as expressed in the LICENSE.txt file here:
   https://github.com/hunterhacker/jdom/blob/master/LICENSE.txt
 .
 All these files are in the contrib package, which is not commonly
 used by JDOM users. It is not likely that you are using, or shipping
 these files. Are you sure this impacts your uncertainty?
 .
 Regardless, the ommission of the duplication of the licence text at
 the top of the files is an ommission that can be corrected. Not that
 I do not plan to do a new JDOM release just to get this header data
 in to source code which is already licensed that way..
 .
 Rolf
 .
 On 11/01/2014 2:55 PM, Emmanuel Bourg wrote:
 > Hi Rolf,
 >
 > I'm trying to package jdom 2 for Debian/Ubuntu but I'm blocked by a
 > licensing uncertainty on some source files. These files are missing a
 > license header:
 >
 > contrib/src/java/org/jdom2/contrib/android/TranslateTests.java
 > contrib/src/java/org/jdom2/contrib/dtdaware/AttFilter.java
 > contrib/src/java/org/jdom2/contrib/ids/doc-files/TestIds.java
 > contrib/src/java/org/jdom2/contrib/perf/DevNull.java
 > contrib/src/java/org/jdom2/contrib/perf/PerfDoc.java
 > contrib/src/java/org/jdom2/contrib/perf/PerfTest.java
 > contrib/src/java/org/jdom2/contrib/perf/PerfVerifier.java
 > contrib/src/java/org/jdom2/contrib/perf/TimeRunnable.java
 > contrib/src/java/org/jdom2/contrib/xpath/java/JavaXPathExpression.java
 > contrib/src/java/org/jdom2/contrib/xpath/java/JavaXPathFactory.java
 > contrib/src/java/org/jdom2/contrib/xpath/xalan/XalanXPathExpression.java
 > contrib/src/java/org/jdom2/contrib/xpath/xalan/XalanXPathFactory.java
 >
 > Do you think you could add a header to clarify the situation ?
 >
 > Thank you,
 >
 > Emmanuel Bourg

Files: debian/*
Copyright: 2008, Marcus Better
           2011, Damien Raude-Morvan
           2013, Emmanuel bourg
License: BSD-4

License: BSD-4
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 .
 1. Redistributions of source code must retain the above copyright
	notice, this list of conditions, and the following disclaimer.
 .
 2. Redistributions in binary form must reproduce the above copyright
	notice, this list of conditions, and the disclaimer that follows
	these conditions in the documentation and/or other materials
	provided with the distribution.
 .
 3. The name "JDOM" must not be used to endorse or promote products
	derived from this software without prior written permission.  For
	written permission, please contact <request_AT_jdom_DOT_org>.
 .
 4. Products derived from this software may not be called "JDOM", nor
	may "JDOM" appear in their name, without prior written permission
	from the JDOM Project Management <request_AT_jdom_DOT_org>.
 .
 In addition, we request (but do not require) that you include in the
 end-user documentation provided with the redistribution and/or in the
 software itself an acknowledgement equivalent to the following:
	 "This product includes software developed by the
	  JDOM Project (http://www.jdom.org/)."
 Alternatively, the acknowledgment may be graphical using the logos
 available at http://www.jdom.org/images/logos.
 .
 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED.  IN NO EVENT SHALL THE JDOM AUTHORS OR THE PROJECT
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.
 .
 This software consists of voluntary contributions made by many
 individuals on behalf of the JDOM Project and was originally
 created by Jason Hunter <jhunter_AT_jdom_DOT_org> and
 Brett McLaughlin <brett_AT_jdom_DOT_org>.  For more information
 on the JDOM Project, please see <http://www.jdom.org/>.
